Форум русскоязычного сообщества Ubuntu


Увидели сообщение с непонятной ссылкой, спам, непристойность или оскорбление?
Воспользуйтесь ссылкой «Сообщить модератору» рядом с сообщением!

Автор Тема: Проблема с обновлением google chrome / beta & unstable  (Прочитано 1785 раз)

0 Пользователей и 1 Гость просматривают эту тему.

Оффлайн eugenez

  • Автор темы
  • Старожил
  • *
  • Сообщений: 1355
    • Просмотр профиля
Несколько дней отказался обновляться google-chrome-unstable по мотиву битых пакетов. Сегодня то же самое - с google-chrome-beta. Выглядит так:

$ sudo apt-get install google-chrome-unstable
[sudo] password for eugene:
Чтение списков пакетов… Готово
Построение дерева зависимостей       
Чтение информации о состоянии… Готово
Некоторые пакеты невозможно установить. Возможно, вы просите невозможного,
или же используете нестабильную версию дистрибутива, где запрошенные вами
пакеты ещё не созданы или были удалены из Incoming.
Следующая информация, возможно, поможет вам:

Пакеты, имеющие неудовлетворённые зависимости:
 google-chrome-unstable : Зависит: lib32gcc1 (>= 1:4.1.1) но он не может быть установлен
                          Зависит: lib32stdc++6 (>= 4.6) но он не может быть установлен
                          Зависит: libc6-i386 (>= 2.11) но он не может быть установлен
E: Невозможно исправить ошибки, у вас отложены (held) битые пакеты.

$ sudo apt-get install google-chrome-beta
Чтение списков пакетов… Готово
Построение дерева зависимостей       
Чтение информации о состоянии… Готово
Некоторые пакеты невозможно установить. Возможно, вы просите невозможного,
или же используете нестабильную версию дистрибутива, где запрошенные вами
пакеты ещё не созданы или были удалены из Incoming.
Следующая информация, возможно, поможет вам:

Пакеты, имеющие неудовлетворённые зависимости:
 google-chrome-beta : Зависит: lib32gcc1 (>= 1:4.1.1) но он не может быть установлен
                      Зависит: lib32stdc++6 (>= 4.6) но он не может быть установлен
                      Зависит: libc6-i386 (>= 2.11) но он не может быть установлен
E: Невозможно исправить ошибки, у вас отложены (held) битые пакеты.

Началось после обновления обеих версий на 31.

$ apt-cache policy google-chrome-beta
google-chrome-beta:
  Установлен: 30.0.1599.66-1
  Кандидат:   31.0.1650.11-1
  Таблица версий:
     31.0.1650.11-1 0
        500 http://dl.google.com/linux/chrome/deb/ stable/main i386 Packages
 *** 30.0.1599.66-1 0
        100 /var/lib/dpkg/status

Ощущение, что обновления сделаны для 64-разрядной среды.

Какие мысли?

Пользователь решил продолжить мысль 04 Октябрь 2013, 18:39:02:
Скачал unstable пакет браузером из http://www.chromium.org/getting-involved/dev-channel, те же зависимости от lib32*.

Среди присутствующих никто не обновляет хром из репозитория, или ни у кого нет трудностей с поломанными пакетами?
« Последнее редактирование: 04 Октябрь 2013, 18:39:02 от eugenez »
Arch+KDE | Manjaro+Cinnamon | Debian+cli | Kubuntu | Endian | OPNSense | Proxmox VE

Оффлайн eugenez

  • Автор темы
  • Старожил
  • *
  • Сообщений: 1355
    • Просмотр профиля
Re: Проблема с обновлением google chrome / beta & unstable
« Ответ #1 : 07 Октябрь 2013, 09:43:24 »
удивительно наблюдать молчание.

а между тем

https://code.google.com/p/chromium/issues/detail?id=304446

и тупое лобовое временное решение

https://plus.google.com/102405231654378318312/posts/f1AoxJhUgnR
Arch+KDE | Manjaro+Cinnamon | Debian+cli | Kubuntu | Endian | OPNSense | Proxmox VE

Оффлайн eugenez

  • Автор темы
  • Старожил
  • *
  • Сообщений: 1355
    • Просмотр профиля
Re: Проблема с обновлением google chrome / beta & unstable
« Ответ #2 : 09 Октябрь 2013, 06:24:49 »
Баг с невозможностью установки хрома на 32-разрядных системах подтверждён.

https://code.google.com/p/chromium/issues/detail?id=304446
https://code.google.com/p/chromium/issues/detail?id=304017
Arch+KDE | Manjaro+Cinnamon | Debian+cli | Kubuntu | Endian | OPNSense | Proxmox VE

Оффлайн Platon

  • Активист
  • *
  • Сообщений: 895
  • KUbuntu 20.04 (AMD64)
    • Просмотр профиля
Re: Проблема с обновлением google chrome / beta & unstable
« Ответ #3 : 16 Октябрь 2013, 19:14:52 »
Подпишусь на тему, только что попытался обновить google-chrome-stable он удалился, скачал с оф.сайта и понеслось ругается на зависимости: google-chrome-stable : Зависит: lib32gcc1 (>= 1:4.1.1) который является виртуальным пакетом.
                        Зависит: lib32stdc++6 (>= 4.6) который является виртуальным пакетом.
                        Зависит: libc6-i386 (>= 2.11) который является виртуальным пакетом.
в ручную прописал репы google
и поставил google-chrome-beta 
"Быть сильным – не значит превосходить в силе, а уметь слабого поднять до высот своих." Рабиндранат Тагор

Оффлайн eugenez

  • Автор темы
  • Старожил
  • *
  • Сообщений: 1355
    • Просмотр профиля
Re: Проблема с обновлением google chrome / beta & unstable
« Ответ #4 : 16 Октябрь 2013, 20:09:16 »
Ну оно последовательно развивалось ;) -unstable (сегодня) и -beta (несколько дней назад) починены.

Ссылку на багтрекер я приводил, подписывайтесь и пишите репорты.
Arch+KDE | Manjaro+Cinnamon | Debian+cli | Kubuntu | Endian | OPNSense | Proxmox VE

Оффлайн stonest

  • Новичок
  • *
  • Сообщений: 14
    • Просмотр профиля
Re: Проблема с обновлением google chrome / beta & unstable
« Ответ #5 : 18 Октябрь 2013, 14:50:16 »
...
Пакеты, имеющие неудовлетворённые зависимости:
 google-chrome-unstable : Зависит: lib32gcc1 (>= 1:4.1.1) но он не может быть установлен
                          Зависит: lib32stdc++6 (>= 4.6) но он не может быть установлен
                          Зависит: libc6-i386 (>= 2.11) но он не может быть установлен
...
Какие мысли?


Есть этот способ (установка пустых пакетов)

Оффлайн eugenez

  • Автор темы
  • Старожил
  • *
  • Сообщений: 1355
    • Просмотр профиля
Re: Проблема с обновлением google chrome / beta & unstable
« Ответ #6 : 18 Октябрь 2013, 17:35:50 »
Починили уже. Как минимум бету и девелоперский. Так что неактуально.
Arch+KDE | Manjaro+Cinnamon | Debian+cli | Kubuntu | Endian | OPNSense | Proxmox VE

Оффлайн ink71

  • Участник
  • *
  • Сообщений: 204
  • Ку!!!
    • Просмотр профиля
Re: Проблема с обновлением google chrome / beta & unstable
« Ответ #7 : 20 Октябрь 2013, 18:28:06 »
А стабильную - никак :(
Lin - Ку! Win - Кю!

 

Страница сгенерирована за 0.085 секунд. Запросов: 25.